# $Revision: 1.5 $, $Date: 2004/08/25 21:37:47 $
Summary:	wmDrawer - a dock application which provides a retractable button bar
Summary(pl):	Dokowalna aplikacja wysuwajcych si guzikw
Name:		wmdrawer
Version:	0.10.5
Release:	2
License:	GPL v2
Group:		X11/Window Managers/Tools
Source0:	http://people.easter-eggs.org/~valos/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	b8c4a5d5abd593a29504dfe4c30c8925
Source1:	%{name}.desktop
Patch0:		%{name}-lib64.patch
URL:		http://people.easter-eggs.org/~valos/wmdrawer/
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
wmDrawer is a dock application (dockapp) which provides a drawer
(retractable button bar) to launch applications.

%description -l pl
wmDrawer jest dokowaln aplikacj dla WindowMakera, ktra wywietla
adne menu z guzikami do uruchamiania aplikacji.

%prep
%setup -q
%if "%{_lib}" == "lib64"
%patch0 -p1
%endif

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -pipe -Wall -pedantic `pkg-config --cflags gdk-pixbuf-xlib-2.0`" \
	USE_GDKPIXBUF2="1" \
	USE_GDKPIXBUF="0"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir}/docklets}
install -d $RPM_BUILD_ROOT%{_mandir}/man1

install %{name} $RPM_BUILD_ROOT%{_bindir}
install doc/%{name}.1* $RPM_BUILD_ROOT%{_mandir}/man1
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO wmdrawerrc.example
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/docklets/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmdrawer.spec,v $
Revision 1.5  2004/08/25 21:37:47  luzik
 - added lib64 patch
 - rel 2

Revision 1.4  2004/06/28 18:59:45  yogib
- updated to 0.10.5, added man and desktop file, updated doc

Revision 1.3  2003/10/24 11:51:28  qboosh
- cosmetics, BR: gtk+2-devel, pkgconfig

Revision 1.2  2003/09/18 12:26:42  havner
- mass commit: some fixes due to prefix change

Revision 1.1  2003/09/15 22:28:18  luzik
 - initial release-
